IPBIPB
Проектирование, монтаж, наладка, сервис

Здравствуйте, гость ( Вход | Регистрация )

Программа АВОК "Определение классов энергетической
эффективности многоквартирных домов"
АВОК в соц. сетях

> AutoCAD for HVAC

Данный раздел создан по просьбам участников Форума для сбора на сайте коллекции реальных работ чертежей for HVAC.

При присоединении файла, пожалуйста, указывайте следующую информацию:
Автор (Информация об авторе.)
Размер файла (максимальный размер присоединяемого файла 15 Мб)
Описание работы

Вся информация принимается и распространяется бесплатно.
Выполняет исключительно информационную функцию.
Администрация не несет ответственности за содержание представленной документации.
При обнаружении ошибок или неточностей просим вас прислать свои замечания на e-mail: ibforum@abok.ru.

2 страниц V   1 2 >  
Добавить ответ в эту темуОткрыть тему
> Адаптация мыши, Как адаптровать мышь под автокад?
Nefes
сообщение 21.11.2012, 8:53
Сообщение #1





Группа: Участники форума
Сообщений: 58
Регистрация: 12.12.2011
Пользователь №: 132921



Народ, подскажите пожалуйста как адаптировать мышь под автокад?
Купил мышь : A4Tech XL-760H Black USB (http://market.yandex.ru/model.xml?hid=723088&modelid=6083223&clid=502)
есть 7 кнопок,
как настроить их под вызов функций автокада?

например на боковые 2 хотел поставить "копировать" и "перенести"
Везде тыркался- не могу настроить.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
ssn
сообщение 26.11.2012, 15:14
Сообщение #2


проектировщик ТМ (фриланс)


Группа: Участники форума
Сообщений: 3372
Регистрация: 13.3.2005
Из: Череповец - СПБ - Воронеж
Пользователь №: 543



надо настраивать не в автокаде, а в программе, которая шла с мышкой.
там на каждую кнопку есть возможность повесить какое то действие или команду, в том числе и Cntr+C.
А можно повесить любое действие, потом зайти в меню выбора горячих клавиш и переназначить гор клавишу на нужную команду на нажатие кнопки мыши
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
nedrok
сообщение 12.12.2012, 8:34
Сообщение #3





Группа: Участники форума
Сообщений: 366
Регистрация: 6.7.2007
Из: Екатеринбург
Пользователь №: 9862



Настраивается в программе Oscar Editor. Сама программа потом не нужна т.к. эта мышка программируемая и запоминает комбинации клавиш в своей памяти.

Сообщение отредактировал nedrok - 12.12.2012, 8:35
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nefes
сообщение 19.12.2012, 14:23
Сообщение #4





Группа: Участники форума
Сообщений: 58
Регистрация: 12.12.2011
Пользователь №: 132921



Цитата(nedrok @ 12.12.2012, 9:34) *
Настраивается в программе Oscar Editor. Сама программа потом не нужна т.к. эта мышка программируемая и запоминает комбинации клавиш в своей памяти.



Я не понимаю как ей пользоваться.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
nedrok
сообщение 21.12.2012, 11:37
Сообщение #5





Группа: Участники форума
Сообщений: 366
Регистрация: 6.7.2007
Из: Екатеринбург
Пользователь №: 9862



Последняя версия программы 12.08 http://www.x7.cn/cn/driver/7KeyH_V12.08V17.zip

Делаете так


Жмете кнопку внизу "Download to mouse" (на картинке не видно)
Ждете пока пройдет полосочка. Все.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 21.7.2016, 3:46
Сообщение #6





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Здравствуйте, в продолжение темы хотел бы сказать что настроить можно проще, через макрос.
Открываете в "oscar" макрос менеджер и прям там создаете новый макрос. Допустим команада перенсти в автокаде. Можно просто написать "перенести и нажать Еnter" и активируется команда перенести. Соответственно надо и создать такой макрос. В самой программе все интуитивно понятно. Можно назначать клики мыши, перемещение курсора, нажатия клавиш на клавиатуре, задержку между нажатиями или какими-либо действиями.

Вопрос в следующем можно ли в самом автокаде сделать так чтоб допустим команда "перенести" вызывалась командой "11" без написания Lispов (я в них вообще не разбираюсь). Сразу объясню для чего, когда раскладка стоит на англ. то получается заместо "перенсти" прописывается "gthtycnb" ну и команда не активируется rolleyes.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
экспорт
сообщение 21.7.2016, 6:31
Сообщение #7





Группа: Участники форума
Сообщений: 952
Регистрация: 31.3.2015
Пользователь №: 263772



все псевдонимы можно заменить в текстовом
каком-то файле специально не иЩу и не пиЩу

в каком потому как команды с клавиатуры
тормозят и работу и перенапрягают инженера

доказательство: ежели наймёте помощника
обнаружите: помощник отдыхает за ваши деньги
вспоминая и медленно нажимая команды

и реальное ускорение даёт настройка кнопок
и главное повтор предыдущей команды
нажатием малой кнопки мыши и всё
настраивается даже в устаревших автокадах
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 21.7.2016, 14:24
Сообщение #8





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Цитата(дренаж @ 21.7.2016, 7:31) *
все псевдонимы можно заменить в текстовом
каком-то файле специально не иЩу и не пиЩу

в каком потому как команды с клавиатуры
тормозят и работу и перенапрягают инженера

доказательство: ежели наймёте помощника
обнаружите: помощник отдыхает за ваши деньги
вспоминая и медленно нажимая команды

и реальное ускорение даёт настройка кнопок
и главное повтор предыдущей команды
нажатием малой кнопки мыши и всё
настраивается даже в устаревших автокадах


Эх дренаж... ты не прав (по поводу последнего абзаца) rolleyes.gif
Не очень понял что Вы хотели сказать, но что то уловил. Кажется Вы сказали,что знаете, что есть файл в котором можно поменять назначение команды?

Так к слову скажу, что у меня настроена мышь на банальное копирование и перемещение и плюс еще одна клавиша занята на загружаемый lisp который прописывает выноски за меня. И работу это ускоряет значительно. Вообще в планах купить X7 FS755 (может не много ошибся в названии) пять программируемых клавиш под большим пальцем
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
экспорт
сообщение 21.7.2016, 14:32
Сообщение #9





Группа: Участники форума
Сообщений: 952
Регистрация: 31.3.2015
Пользователь №: 263772



у меня автокад портабль версии единый файл
и файл переименовывания команд не обнаруживаю
сформулируйте запрос и яндексо-гугл точно покажет

естественно я нашёл о чём пишу
однако не могу проверить и против команд с клавиатуры

Сообщение отредактировал дренаж - 21.7.2016, 14:33
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 21.7.2016, 14:53
Сообщение #10





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



Цитата(maksywa @ 21.7.2016, 3:46) *
Здравствуйте, в продолжение темы хотел бы сказать что настроить можно проще, через макрос.
Открываете в "oscar" макрос менеджер и прям там создаете новый макрос. Допустим команада перенсти в автокаде. Можно просто написать "перенести и нажать Еnter" и активируется команда перенести. Соответственно надо и создать такой макрос. В самой программе все интуитивно понятно. Можно назначать клики мыши, перемещение курсора, нажатия клавиш на клавиатуре, задержку между нажатиями или какими-либо действиями.

Вопрос в следующем можно ли в самом автокаде сделать так чтоб допустим команда "перенести" вызывалась командой "11" без написания Lispов (я в них вообще не разбираюсь). Сразу объясню для чего, когда раскладка стоит на англ. то получается заместо "перенсти" прописывается "gthtycnb" ну и команда не активируется rolleyes.gif

есть два пути
1)tools-customize-edit programm parametrs , октрывается файл acad.pgp
в конце добавляете строку
11, *MOVE
сохраняете иперезапускаете автокад целиком.
2)содаете тестовый файл, меняеете расширение на lsp.d фале пишете
(defun c:11 () (VL-CMDF "._move"))
через комманду "_APPLOAD" добавляете его в автозагрузку. и перезапускаете автокад целиком.

Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 21.7.2016, 15:38
Сообщение #11





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Цитата(Composter @ 21.7.2016, 15:53) *
есть два пути
1)tools-customize-edit programm parametrs , октрывается файл acad.pgp
в конце добавляете строку
11, *MOVE
сохраняете иперезапускаете автокад целиком.
2)содаете тестовый файл, меняеете расширение на lsp.d фале пишете
(defun c:11 () (VL-CMDF "._move"))
через комманду "_APPLOAD" добавляете его в автозагрузку. и перезапускаете автокад целиком.


Спасибо за ответ! Завтра попробую.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 22.7.2016, 9:53
Сообщение #12





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Цитата(Composter @ 21.7.2016, 15:53) *
есть два пути
1)tools-customize-edit programm parametrs , октрывается файл acad.pgp
в конце добавляете строку
11, *MOVE
сохраняете иперезапускаете автокад целиком.
2)содаете тестовый файл, меняеете расширение на lsp.d фале пишете
(defun c:11 () (VL-CMDF "._move"))
через комманду "_APPLOAD" добавляете его в автозагрузку. и перезапускаете автокад целиком.


Все круто! Работает! Сделал Lispы и поставил на автозагрузку. назначил макросы на мышь. Доволен как слон!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 22.7.2016, 10:08
Сообщение #13





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



лучше почтайте книжку по автокаду. там и так много чего есть и не нужно выдумывать велосипед.
рекомендую начать с редактирования объектов с помощью ручек, и изучить allias . Это намного ускорит работу.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 25.7.2016, 8:01
Сообщение #14





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Цитата(Composter @ 22.7.2016, 11:08) *
лучше почтайте книжку по автокаду. там и так много чего есть и не нужно выдумывать велосипед.
рекомендую начать с редактирования объектов с помощью ручек, и изучить allias . Это намного ускорит работу.


Здравствуйте, может сразу порекомендуете какую именно?
И еще вопрос, по созданию lisp. Я сделал (defun c:13 () (VL-CMDF "КОПИРОВАТЬ")) либо (defun c:13 () (VL-CMDF "._copy")) я так понял не важно. Так вопрос вот в чем. Все копируется замечательно но всего лишь одни раз, т.е. не одно и тоже когда я пишу "Копировать" тогда один выделенный объект можно вставить множество раз, а так всего лишь один раз mellow.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 25.7.2016, 9:39
Сообщение #15





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



Рекомендую книги автора Полищук "в подлиннике".
чтобы было множественное копирование нужно (defun c:13 () (VL-CMDF "_copy")) - без точки перед copy
лучше записавать комнды на английском и перед командой ставить нижнее подчеркивание. Это гарантирует что данная функция будет работать хоть в русской версии, хоть в английской хоть в китайской.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
maksywa
сообщение 25.7.2016, 9:48
Сообщение #16





Группа: New
Сообщений: 18
Регистрация: 23.11.2011
Пользователь №: 130424



Цитата(Composter @ 21.7.2016, 14:53) *
есть два пути
1)tools-customize-edit programm parametrs , октрывается файл acad.pgp
в конце добавляете строку
11, *MOVE
сохраняете иперезапускаете автокад целиком.
2)содаете тестовый файл, меняеете расширение на lsp.d фале пишете
(defun c:11 () (VL-CMDF "._move"))
через комманду "_APPLOAD" добавляете его в автозагрузку. и перезапускаете автокад целиком.


Кстати, 1-ый способ работает нормально (так как надо).
Спасибо еще раз.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 25.7.2016, 10:19
Сообщение #17





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



просто первый способ возможно придется переделывать под другую версию. Например у нас на работе только английская версия автокада.
а вот для того чтобы 2 способ работал на другом компьютере достаточно скопиравть файл и подгрузить, если конечно команды вы записывали на английском языке с подчеркиванием.
Но зато 2 метод не будет рабоать на версии автокада LT

Сообщение отредактировал Composter - 25.7.2016, 10:26
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
denik
сообщение 25.7.2016, 11:06
Сообщение #18





Группа: Участники форума
Сообщений: 107
Регистрация: 30.3.2007
Пользователь №: 6874



Цитата
чтобы было множественное копирование нужно (defun c:13 () (VL-CMDF "_copy")) - без точки перед copy

Множественное копирование одинаково не работает что с точкой что без точки. И, кстати, и точку и подчеркивание рекомендуется ставить для гарантированной совместимости с неанглоязычными версиями.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 25.7.2016, 11:34
Сообщение #19





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



про совместиомсть я уже написал 2 раза.
на счет множественного копирования будет работать только так
(defun c:13 ()(ssget)(vl-cmdf "_.copy" "_p" "" "_m")(while (not (zerop (getvar "cmdactive")))(vl-cmdf pause))(princ)) либо после выбора объектов выбирать множественное копирование
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
denik
сообщение 25.7.2016, 11:45
Сообщение #20





Группа: Участники форума
Сообщений: 107
Регистрация: 30.3.2007
Пользователь №: 6874



В Autocad, по моему с версии 2010, можно вешать команды на правую кнопку мыши с модификаторами CTRL, Shift, CTRL+Shift. Я использую таким образом Копировать, Перенести и Растянуть, лично мне очень удобно. Вроде бы можно и к другим кнопкам мыши команды подключать, но мне не удалось.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
denik
сообщение 25.7.2016, 12:02
Сообщение #21





Группа: Участники форума
Сообщений: 107
Регистрация: 30.3.2007
Пользователь №: 6874



Composter если бы не было вот этой фразы
Цитата
чтобы было множественное копирование нужно (defun c:13 () (VL-CMDF "_copy")) - без точки перед copy

я бы не комментировал.
Цитата
(defun c:13 ()(ssget)(vl-cmdf "_.copy" "_p" "" "_m")(while (not (zerop (getvar "cmdactive")))(vl-cmdf pause))(princ))

Спасибо за интересную конструкцию, возможно где-то пригодится.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 25.7.2016, 12:42
Сообщение #22





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



Цитата(denik @ 25.7.2016, 11:45) *
В Autocad, по моему с версии 2010, можно вешать команды на правую кнопку мыши с модификаторами CTRL, Shift, CTRL+Shift. Я использую таким образом Копировать, Перенести и Растянуть, лично мне очень удобно. Вроде бы можно и к другим кнопкам мыши команды подключать, но мне не удалось.

а я для этого использую редактирование объектов с помощью ручек , и для всего вышеперечисленного достачно одной клавиши пробела либо ентера (кому как удобнее)
Цитата(denik @ 25.7.2016, 12:02) *
Composter если бы не было вот этой фразы
Спасибо за интересную конструкцию, возможно где-то пригодится.

даже не представляю где она еще может пригодиться кроме как в данном случае
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
denik
сообщение 25.7.2016, 16:09
Сообщение #23





Группа: Участники форума
Сообщений: 107
Регистрация: 30.3.2007
Пользователь №: 6874



Цитата
а я для этого использую редактирование объектов с помощью ручек , и для всего вышеперечисленного достачно одной клавиши пробела либо ентера (кому как удобнее)

А базовая точка у вас всегда совпадает с ручкой? Каждый щелчок мышью в масштабах одной операции — это ерунда, а вот в масштабах чертежа это уже сотни щелчков которых можно избежать. Хотя все это вопрос привычки. Собственно насчет мыши это не вам адресовалось, просто может кому полезно будет.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 25.7.2016, 18:34
Сообщение #24





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



1)блоки составлют обычно меньшую чатьс чертежа
2)я обычно продумываю заранее блок, преждче чем начать делать
3)если блоки не мои то для 2-3 блоков можно и использовать алиасы
4)если нужно повернуть очень много блоков то лучше воспользоваться чем что то вроде этого
Код
;разворачивает блоки на 180 градусов относительно центра объекта
(defun c:Zod76 (/ ss1 pt1 pt2 pt3)
(princ "\n разворачивает блоки \n")
(vla-clear(setq ss1 (vla-get-ActiveSelectionSet(vla-get-ActiveDocument (vlax-get-acad-object)))))
(pl:obj-filter-select-manual ss1 '((0 . "INSERT")))
(vlax-for x ss1
    (vla-GetBoundingBox x 'pt1 'pt2)
    (setq pt1  (vlax-safearray->list pt1)  pt2 (vlax-safearray->list pt2))
    (setq pt3 (list    (/(+(car pt1 )    (car pt2 ))2)
                    (/(+(cadr pt1 )    (cadr pt2 ))2)
                    (/(+(caddr pt1 )(caddr pt2 ))2)
                )
    )
    (vla-rotate x (vlax-3d-point pt3) pi)
)
(princ)
)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
denik
сообщение 26.7.2016, 10:54
Сообщение #25





Группа: Участники форума
Сообщений: 107
Регистрация: 30.3.2007
Пользователь №: 6874



Еще раз спасибо за код, хотя не уловил при чем тут поворот именно блоков. А если нужно копировать воздуховод с воздухораспределителем, дросселем и выносками? И по моему в переборе пробелом нет команды КОПИРОВАТЬ, только в контекстном меню (2012). Кстати команда Zod76 — это 3 клавиш в английской раскладке, то есть еще и язык надо отследить. Я, честно говоря, лепил второй макрос в том же lisp файле с названием команды в русской раскладке, примитивно, но работает.
Возможно использование ручек более эффективно при модификации одиночных объектов, надо попробовать.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 26.7.2016, 13:37
Сообщение #26





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



на счет кода я прото примел пример когда нужно массово повернуть. икогда нуно поурнуть 100 блоков вокруг их центра , то написать 5 букв это в разы быстрее чем в ручную сотню блоков ,каждыйй ведлеить нажать повернуть указать их центр.
а копировать через редактирование ручек можно! нужно только внимательно читать!!!!
рассказываю при нажатие первый раз пробела происходит перемещение, если в этот момент зажать ctrl и щелкнуть мышкой , то произойдет коипрование,и можно отпустить ctrl будет дальше происходить множественное копирование. ТО же самое и с поворотм и масштабированием.
Так что еще раз повторю не нужно выдумавать велосипед, возможно уже кто то избрел автомобиль до вас.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
ssn
сообщение 1.9.2016, 12:42
Сообщение #27


проектировщик ТМ (фриланс)


Группа: Участники форума
Сообщений: 3372
Регистрация: 13.3.2005
Из: Череповец - СПБ - Воронеж
Пользователь №: 543



Цитата(Composter @ 26.7.2016, 13:37) *
на счет кода я прото примел пример когда нужно массово повернуть. икогда нуно поурнуть 100

такие операции удобно делать через быстрый выбор. выбрать все блоки нужные и в свойствах указать нужный угол поворота. хотя, конечно, если блоки изначально вставлены с разными углами, то несколько сложнее получается.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 1.9.2016, 13:18
Сообщение #28





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



Цитата(ssn @ 1.9.2016, 12:42) *
такие операции удобно делать через быстрый выбор. выбрать все блоки нужные и в свойствах указать нужный угол поворота. хотя, конечно, если блоки изначально вставлены с разными углами, то несколько сложнее получается.

вы не доконца доцитировали мою фразу. там же напсано относительно центра. а центр блока и точка вставки - это разные вещи
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
ssn
сообщение 1.9.2016, 17:00
Сообщение #29


проектировщик ТМ (фриланс)


Группа: Участники форума
Сообщений: 3372
Регистрация: 13.3.2005
Из: Череповец - СПБ - Воронеж
Пользователь №: 543



Цитата(Composter @ 1.9.2016, 13:18) *
вы не доконца доцитировали мою фразу. там же напсано относительно центра. а центр блока и точка вставки - это разные вещи


ну кто же делает точку вставки блока без привязки к возможному геометрическому центру обозначения?
хотя таки да. делают. но тогда лучше уж переопределить блок на новую нормальную точку вставки....

а если не менять, тогда загадка, что будет если центр блока не совпадает с его ожидаемой точкой поворота..

Сообщение отредактировал ssn - 1.9.2016, 17:01
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 1.9.2016, 18:10
Сообщение #30





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



ну например вот. Тут явно нет счысла делать точку прявязки в центре
Прикрепленные файлы
Прикрепленный файл  Bloki.dwg ( 126.16 килобайт ) Кол-во скачиваний: 4
 
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения

2 страниц V   1 2 >
Добавить ответ в эту темуОткрыть тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 

Реклама














Последние сообщения Форума





Rambler's Top100 Rambler's Top100

RSS Текстовая версия Сейчас: 26.9.2017, 1:23